## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           python-css-parser
Version:        1.0.7
Release:        %autorelease
Summary:        Parse and build Cascading Style Sheets

%global forgeurl https://github.com/ebook-utils/css-parser
%forgemeta

License:        LGPLv3
URL:            %{forgeurl}
Source0:        %{forgesource}

Patch:          https://github.com/ebook-utils/css-parser/pull/11.patch
Patch:          https://github.com/ebook-utils/css-parser/pull/13.patch

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
# for tests
BuildRequires:  python3-chardet

%global _description %{expand:
A fork of the cssutils project based on version 1.0.2. This fork includes
general bug fixes and extensions specific to editing and working with ebooks.}

%description %_description

%package -n python3-css-parser
Summary:        %{summary}
%{?python_provide:%python_provide python3-css-parser}

%description -n python3-css-parser %_description

%prep
%forgeautosetup -p1

%build
sed -r -i '1{/.usr.bin.env python/d;}' src/css_parser/*py src/css_parser/*/*py

%py3_build

%install
%py3_install

%check
%python3 run_tests.py

%files -n python3-css-parser
%{python3_sitelib}/css_parser/
%{python3_sitelib}/css_parser-%{version}-py%{python3_version}.egg-info/
%doc README.md
%license COPYING COPYING.LESSER

%changelog
* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> 1.0.7-4
- Rebuilt for Python 3.11

* Sat May 21 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> 1.0.7-3
- Add patch to fix compatibility with python3.11 (rhbz#2062102)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Jan 01 2021 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> 1.0.7-1
- Version 1.0.7 and fix build with python3.11 (#2019391)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.0.6-2
- Rebuilt for Python 3.10

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 1.0.4-8
- Rebuilt for Python 3.9

* Tue Mar 17 2020 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.4-7
- Switch to version of patches merged by upstream (#1792929)

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 1.0.4-5
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Thu Aug 22 2019 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.4-4
- Subpackage python2-css-parser has been removed (#1741018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1.0.4-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jun 11 2019 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.4-1
- Initial packaging

